﻿using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[System.Serializable]
public class Score : IComparable
{
    [System.NonSerialized]
    public string id;
    public string name;
    public long score;
    public double pos;
    public int treeId;

    public void OverwriteFromDictionary(Dictionary<string, object> dict)
    {
        object _name;
        if (dict.TryGetValue("name", out _name)) name = _name.ToString();
        object _score;
        if (dict.TryGetValue("score", out _score)) score = (long)_score;
        object _pos;
        if (dict.TryGetValue("pos", out _pos)) pos = (double)_pos;
        object _treeId;
        if (dict.TryGetValue("treeId", out _treeId))
        {
            int.TryParse(_treeId.ToString(), out treeId);
        }
    }

    public int CompareTo(object obj)
    {
        if (obj == null) return 1;

        Score otherScore = obj as Score;
        return score.CompareTo(otherScore.score);
    }

}
