﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CameraFollow : MonoBehaviour
{
    [SerializeField]
    private Transform target;

    [SerializeField]
    private Vector3 offset;

    [SerializeField]
    private float lerpFactor;

    private Vector3 currentPosition;

    void LateUpdate()
    {
        currentPosition = Vector2.Lerp(transform.position, target.position + offset, lerpFactor * Time.deltaTime);
        currentPosition.z = target.position.z + offset.z;

        transform.position = currentPosition;
    }
}
