﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Hazard : MonoBehaviour
{
    [SerializeField]
    [Range(0, 1.0f)]
    private float slowdownFactor = 0.5f;

    [SerializeField]
    private float decayDelta = 2.0f;

    [Header("SFX")]
    [SerializeField]
    private AudioSource hazardSFX = null;
    [SerializeField]
    private AudioSource hazardSFXLoop = null;

    public float Slowdown()
    {
        if (hazardSFX != null)
        {
            hazardSFX.Play();
            hazardSFX.loop = false;
        }
        if (hazardSFXLoop != null)
        {
            hazardSFXLoop.Play();
            hazardSFXLoop.loop = true;
        }

        return slowdownFactor;
    }

    public float Decay()
    {
        return decayDelta;
    }

    public float Revert()
    {
        if (hazardSFX != null)
        {
            hazardSFX.Stop();
        }
        if (hazardSFXLoop != null)
        {
            hazardSFXLoop.Stop();
        }
        
        return 1.0f;
    }
}
