﻿using System.Collections;
using System.Collections.Generic;
using System;
using UnityEngine;

public class HazardScroller : MonoBehaviour
{
    
    public PlayerMovement player;
    public GameObject[] hazardPrefabs;
    public GameObject hazardPrefabRoot;
    public Dictionary<Tuple<int, int>, GameObject> hazardSet;
    public float hazardHeight;
    public float hazardWidth;

    void Start()
    {
        for(int i=0; i<hazardPrefabs.Length; i++)
        {
            hazardPrefabs[i].SetActive(false);
        }
        hazardSet = new Dictionary<Tuple<int, int>, GameObject>();
    }

    void Update()
    {
        int gridPosX = Mathf.RoundToInt(player.transform.position.x / hazardWidth);
        int gridPosY = Mathf.RoundToInt(player.transform.position.y / hazardHeight);
        Tuple<int, int> gridPos = new Tuple<int, int>(gridPosX, gridPosY);
        CheckTile(new Tuple<int, int>(gridPosX, gridPosY));
        CheckTile(new Tuple<int, int>(gridPosX, gridPosY-1));
        CheckTile(new Tuple<int, int>(gridPosX, gridPosY+1));
        CheckTile(new Tuple<int, int>(gridPosX-1, gridPosY));
        CheckTile(new Tuple<int, int>(gridPosX-1, gridPosY-1));
        CheckTile(new Tuple<int, int>(gridPosX-1, gridPosY+1));
        CheckTile(new Tuple<int, int>(gridPosX+1, gridPosY));
        CheckTile(new Tuple<int, int>(gridPosX+1, gridPosY-1));
        CheckTile(new Tuple<int, int>(gridPosX+1, gridPosY+1));
    }

    void CheckTile(Tuple<int, int> gridPos)
    {
        if(!hazardSet.ContainsKey(gridPos))
        {
            int hazardUsed = (int)UnityEngine.Random.Range(0f, (float)hazardPrefabs.Length);
            GameObject newBg = Instantiate(hazardPrefabs[hazardUsed], hazardPrefabRoot.transform, false);
            Vector3 offset = new Vector3(gridPos.Item1 * hazardWidth, gridPos.Item2 * hazardHeight, 0);
            newBg.transform.position = hazardPrefabRoot.transform.position + offset;
            newBg.SetActive(true);
            hazardSet.Add(gridPos, newBg);
        }

    }
}
