﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class MainMenu : MonoBehaviour
{
    [SerializeField]
    private SeedneyController seedneyController;

    [SerializeField]
    private Animator animator;

    [SerializeField]
    private Button startButton;

    [SerializeField]
    private Button goToTreesButton;

    [SerializeField]
    private InputField nameInput;

    [SerializeField]
    private List<string> names;

    void Start()
    {
        if (seedneyController != null)
        {
            seedneyController.Sleep();
        }

        if (animator != null)
        {
            
        }

        if (nameInput == null) return;
        nameInput.onValueChanged.AddListener(delegate { OnInputChanged(); } );
        if (names != null && names.Count > 0)
        {
            nameInput.text = names[Random.Range(0, names.Count)];
        }
        
        if (goToTreesButton != null)
        {
            goToTreesButton.gameObject.SetActive(!string.IsNullOrEmpty(NameStorage.UserName));
        }

        OnInputChanged();
    }

    public void OnInputChanged()
    {
        if (startButton == null) return;
        if (nameInput == null) return;
    
        startButton.interactable = !string.IsNullOrEmpty(nameInput.text);
    }

    public void OnClickStart()
    {
        if (seedneyController != null)
        {
            seedneyController.Happy();
        }
        if (nameInput != null)
        {
            NameStorage.UserName = nameInput.text;
            NameStorage.UserName.Replace(" ", "_");
        }
        
        SceneManager.instance.LoadScene("Cutscene", Color.black, 1f);
    }

    public void OnClickTrees()
    {
        SceneManager.instance.LoadScene("ForestView", Color.white, 1f);
    }
}
