﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class MouseInput : PlayerInputSystem
{
    [SerializeField]
    private Transform anchor;

    [SerializeField]
    private float range;

    [SerializeField]
    private Camera cameraTarget;

    [SerializeField]
    private float lerpFactor;

    private float currentAmount;

    public override float GetInput()
    {
        var worldPos = cameraTarget.ScreenToWorldPoint(new Vector3(Input.mousePosition.x, Input.mousePosition.y, cameraTarget.transform.position.z));
        var lerpAmount = Mathf.InverseLerp(-range, range, worldPos.x - anchor.position.x);
        
        currentAmount = Mathf.Lerp(currentAmount, Mathf.Lerp(-1f, 1f, lerpAmount), lerpFactor);
        return currentAmount;
    }
}
