﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[RequireComponent(typeof(Animator))]
public class SeedneyController : MonoBehaviour
{
    private Animator animator;

    private const string TRIGGER_IDLE = "Idle";
    private const string TRIGGER_SAD = "Sad";
    private const string TRIGGER_HAPPY = "Happy";   // I made these just for this lol
    private const string TRIGGER_SLEEP = "Sleep";
    private const string TRIGGER_HURT = "Hurt";

    public void Awake()
    {
        Init();
    }

    public void Init()
    {
        animator = GetComponent<Animator>();
    }

    // STATES //
    public void Idle()
    {
        animator.SetTrigger(TRIGGER_IDLE);
    }

    public void Sleep()
    {
        animator.SetTrigger(TRIGGER_SLEEP);
    }

    public void Happy()
    {
        animator.SetTrigger(TRIGGER_HAPPY);
    }

    public void Sad()
    {
        animator.SetTrigger(TRIGGER_SAD);
    }

    public void Hurt()
    {
        animator.SetTrigger(TRIGGER_HURT);
    }

    // EVENTS //
    public void OnPickupGet(Pickup pickup)
    {
        if (pickup.IsHazard)
        {
            Sad();
        }
        else
        {
            Happy();
        }
    }

    public void OnHazardEnter()
    {
        Hurt();
    }
    
    public void OnHazardExit()
    {
        Idle();
    }

    public void OnDeath()
    {
        Sleep();
    }

    public void OnLowGrowth()
    {
        Sad();
    }
}
