﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class Splash : MonoBehaviour
{
    [SerializeField]
    private Image logo;

    // Start is called before the first frame update
    void Awake()
    {
        logo.canvasRenderer.SetAlpha(0);
        logo.enabled = false;
    }
    
    void Start()
    {
        StartCoroutine(SplashCoroutine());
    }

    private IEnumerator SplashCoroutine()
    {
        logo.enabled = true;
        var timer = 0f;
        while (timer < 1f)
        {
            logo.canvasRenderer.SetAlpha(timer);
            timer += Time.deltaTime;
            yield return new WaitForEndOfFrame();
        }
        logo.canvasRenderer.SetAlpha(1);
        yield return new WaitForSeconds(2f);
        SceneManager.instance.LoadScene("MainMenu", Color.black, 1f);
    }
}
