﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class ForestViewUI : MonoBehaviour
{
    [SerializeField]
    private Text statusText;

    [SerializeField]
    private List<string> statuses;

    public void OnEnable()
    {
        if (statusText != null)
        {   // TODO: status on # of trees
            statusText.text = string.Empty;
            DatabaseHandler.Instance.GetScoreCount(count => {
                statusText.canvasRenderer.SetAlpha(0);
                statusText.CrossFadeAlpha(1f, 1f, false);
                statusText.text = count > 0 ? "Together, you have planted " + count + " trees. Well done!" :
                                                "Together, you have planted another tree. Well done!";
            });
        }
    }

    public void OnClickReturn()
    {
        SceneManager.instance.LoadScene("MainMenu", Color.white, 1f);
    }
}
