﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

[RequireComponent(typeof(AudioSource))]
public class UISoundOnClick : MonoBehaviour
{
    private AudioSource source;
    private Button button;

    void Awake()
    {
        source = GetComponent<AudioSource>();
        button = GetComponent<Button>();
        if (button != null)
        {
            button.onClick.RemoveAllListeners();
            button.onClick.AddListener(delegate { OnClick(); });
        }
    }

    public void OnClick()
    {
        source.Play();
    }
}
